#!/bin/bash
##########################################
# File Name:03_check_ip_connect.sh
# Version:V1.0
# Author:zhangpeng
# 0rganization:linuxjk.cn
# Desc:案例03：检查ip或域名是否可以访问
###########################################
#1 vars
ip=$1
#2.检查参数数量是否不为1,stop and exit
if [ $# -ne 1 ]
then 
	echo "脚本参数数量不对，请输入1个ip或域名"
        echo "正确格式：sh *.sh ipaddress/domain name"
	exit 1
fi
#3执行命令，下一步根据此处是否执行成功判断输出信息
ping -c1 ${ip}  &>/dev/null
#4 judge $?
if [ $? -eq 0 ]
then
	echo "connected"
else
	echo "please check your net or input"
fi
